Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ssget filter for text rotation

4 REPLIES 4
Reply
Message 1 of 5
lbegnaud
851 Views, 4 Replies

ssget filter for text rotation

I am having trouble getting the first line to select text with a rotation angle of 0.  It is selecting all of the text with a rotation angle other than 0.  The second line of code does select all of the text with a 90° rotation angle.  Will anyone tell me what I am doing wrong  in the first line?

 

(setq   sset2 (ssget "X"'((0 . "text")(-4 . "=")(50 . 0.0))))

 

(setq   sset (ssget "X"'((0 . "text")(8 . "ENG_STUD_SIZE_13")(-4 . ">")(50 . 0.0))))

 

Thank you,

 

Lynda Begnaud

4 REPLIES 4
Message 2 of 5
Kent1Cooper
in reply to: lbegnaud


@lbegnaud wrote:

I am having trouble getting the first line to select text with a rotation angle of 0.  It is selecting all of the text with a rotation angle other than 0.  ....

  

(setq   sset2 (ssget "X"'((0 . "text")(-4 . "=")(50 . 0.0))))

....


Quickly [on my way out the door].... You don't need the -4 entry in the filter list for equality.  You can just do:

 

(setq sset2 (ssget "X" '((0 . "text") (50 . 0.0))))

 

And I'm not sure whether the 0-code part is case-sensitive [as the text-content part would be]; what the entity data contains will be "TEXT" in all capitals, so that's the way I've always done it, but maybe it's not necessary.

Kent Cooper, AIA
Message 3 of 5
lbegnaud
in reply to: lbegnaud

Thank you very much.  I was able to get it to work with "text" in lower case.

Message 4 of 5
diagodose2009
in reply to: Kent1Cooper

(setq const_epsilon 0,000000001) (setq ungh 0.0) (setq sset (ssget "X"'(list (cons 0 "text")(cons 8 "ENG_STUD_SIZE_13") (cons -4 ">=") (cons 50 (- ungh const_epsilon)) (cons -4 "<=" )(cons 50 (+ ungfh const_epsilon)))))
Message 5 of 5
lbegnaud
in reply to: lbegnaud

I'll have to experiment with that one.  Thanks.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost